Bug 1733006 - [abrt] qbittorrent: qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> > >(): qbittorrent killed by SIGSEGV
Summary: [abrt] qbittorrent: qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerD...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: qbittorrent
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Charalampos Stratakis
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cc1847f9ad64275ff67d6610860...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-25 01:47 UTC by Nova1987a
Modified: 2020-01-13 14:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-13 14:53:33 UTC


Attachments (Terms of Use)
File: backtrace (176.73 KB, text/plain)
2019-07-25 01:47 UTC, Nova1987a
no flags Details
File: cgroup (319 bytes, text/plain)
2019-07-25 01:47 UTC, Nova1987a
no flags Details
File: core_backtrace (63.69 KB, text/plain)
2019-07-25 01:47 UTC, Nova1987a
no flags Details
File: cpuinfo (1.55 KB, text/plain)
2019-07-25 01:47 UTC, Nova1987a
no flags Details
File: dso_list (21.90 KB, text/plain)
2019-07-25 01:47 UTC, Nova1987a
no flags Details
File: environ (2.24 KB, text/plain)
2019-07-25 01:47 UTC, Nova1987a
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-25 01:47 UTC, Nova1987a
no flags Details
File: maps (134.87 KB, text/plain)
2019-07-25 01:47 UTC, Nova1987a
no flags Details
File: mountinfo (3.34 KB, text/plain)
2019-07-25 01:47 UTC, Nova1987a
no flags Details
File: open_fds (7.01 KB, text/plain)
2019-07-25 01:47 UTC, Nova1987a
no flags Details
File: proc_pid_status (1.30 KB, text/plain)
2019-07-25 01:47 UTC, Nova1987a
no flags Details

Description Nova1987a 2019-07-25 01:47:36 UTC
Description of problem:
1. Open the qbitorrent from the desktop status bar;
2. The window open, but didn't see the content of the application, try to use mouse move/click the window;
3. The crash happen.

Version-Release number of selected component:
1:qbittorrent-4.1.5-2.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /bin/qbittorrent /tmp/mozilla_root0/MEKO-832.HD.torrent
crash_function: qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> > >
executable:     /usr/bin/qbittorrent
journald_cursor: s=0614f27a21d64a4299346903e56e1390;i=1cf325;b=4a5125ad8dfa4885b64608ad78c79252;m=10f9558e5;t=58e773302dfa8;x=89119bc3bb179ed8
kernel:         5.1.18-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 qGetPtrHelper<QScopedPointer<QObjectData, QScopedPointerDeleter<QObjectData> > > at ../../include/QtCore/../../src/corelib/global/qglobal.h:1038
 #1 QWidget::d_func at ../../include/QtWidgets/../../src/widgets/kernel/qwidget.h:131
 #2 QWidgetBackingStore::markDirtyOnScreen at kernel/qwidgetbackingstore.cpp:727
 #4 QWidgetPrivate::scrollRect at kernel/qwidgetbackingstore.cpp:999
 #5 QWidgetPrivate::scroll_sys at ../../include/QtCore/../../src/corelib/tools/qrect.h:184
 #6 QWidget::scroll at kernel/qwidget.cpp:10974
 #7 QHeaderView::setOffset at ../../include/QtWidgets/../../src/widgets/kernel/qwidget.h:412
 #8 QTreeView::scrollContentsBy at ../../include/QtWidgets/../../src/widgets/itemviews/qheaderview.h:263
 #9 QAbstractScrollAreaPrivate::_q_hslide at widgets/qabstractscrollarea.cpp:1533
 #10 QMetaObject::activate at kernel/qobject.cpp:3801

Comment 1 Nova1987a 2019-07-25 01:47:40 UTC
Created attachment 1593260 [details]
File: backtrace

Comment 2 Nova1987a 2019-07-25 01:47:41 UTC
Created attachment 1593261 [details]
File: cgroup

Comment 3 Nova1987a 2019-07-25 01:47:43 UTC
Created attachment 1593262 [details]
File: core_backtrace

Comment 4 Nova1987a 2019-07-25 01:47:44 UTC
Created attachment 1593263 [details]
File: cpuinfo

Comment 5 Nova1987a 2019-07-25 01:47:46 UTC
Created attachment 1593264 [details]
File: dso_list

Comment 6 Nova1987a 2019-07-25 01:47:47 UTC
Created attachment 1593265 [details]
File: environ

Comment 7 Nova1987a 2019-07-25 01:47:49 UTC
Created attachment 1593266 [details]
File: limits

Comment 8 Nova1987a 2019-07-25 01:47:53 UTC
Created attachment 1593267 [details]
File: maps

Comment 9 Nova1987a 2019-07-25 01:47:55 UTC
Created attachment 1593268 [details]
File: mountinfo

Comment 10 Nova1987a 2019-07-25 01:47:56 UTC
Created attachment 1593269 [details]
File: open_fds

Comment 11 Nova1987a 2019-07-25 01:47:57 UTC
Created attachment 1593270 [details]
File: proc_pid_status

Comment 12 Charalampos Stratakis 2020-01-07 14:37:30 UTC
Is it still a problem with the latest version?

Comment 13 Nova1987a 2020-01-13 13:32:13 UTC
Hi, 
Sorry for late reply.
Right now using F31 and it seems that the symptom doesn't happen again.
Many thanks.

Nova

Comment 14 Charalampos Stratakis 2020-01-13 14:53:33 UTC
Thanks for the response. I am closing this. Please reopen if you experience the issue again.


Note You need to log in before you can comment on or make changes to this bug.